## org.hibernate.loader.entity
Class EntityJoinWalker

    java.lang.Object
      org.hibernate.loader.JoinWalker
          org.hibernate.loader.AbstractEntityJoinWalker
              org.hibernate.loader.entity.EntityJoinWalker

    public class EntityJoinWalker

extends AbstractEntityJoinWalker

A walker for loaders that fetch entities

Author:
  Gavin King
See Also:
  `EntityLoader`

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.loader.JoinWalker
`JoinWalker.AssociationInitCallback`

Field Summary

Fields inherited from class org.hibernate.loader.JoinWalker
`aliases, associations, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Constructor Summary
`EntityJoinWalker(OuterJoinLoadable persister, String[] uniqueKey, int batchSize, LockMode lockMode, SessionFactoryImplementor factory, LoadQueryInfluencers loadQueryInfluencers)`
`EntityJoinWalker(OuterJoinLoadable persister, String[] uniqueKey, int batchSize, LockOptions lockOptions, SessionFactoryImplementor factory, LoadQueryInfluencers loadQueryInfluencers)`

Method Summary
`String` `getComment()`
`int[][]` `getCompositeKeyManyToOneTargetIndices()`
`protected int` `getJoinType(OuterJoinLoadable persister, PropertyPath path, int propertyNumber, AssociationType associationType, FetchMode metadataFetchMode, CascadeStyle metadataCascadeStyle, String lhsTable, String[] lhsColumns, boolean nullable, int currentDepth)` Determine the appropriate type of join (if any) to use to fetch the given association.

Methods inherited from class org.hibernate.loader.AbstractEntityJoinWalker
`getAlias, getPersister, getWhereFragment, initAll, initAll, initProjection, isDuplicateAssociation, isJoinedFetchEnabled, isJoinFetchEnabledByProfile, toString`

Methods inherited from class org.hibernate.loader.JoinWalker

`countCollectionPersisters, countEntityPersisters, generateRootAlias, generateTableAlias, getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getFactory, getJoinType, getJoinType, getLoadQueryInfluencers, getLockModeArray, getLockModeOptions, getOwnerAssociationTypes, getOwners, getPersisters, getSQLString, getSuffixes, getWithClause, hasRestriction, initPersisters, initPersisters, initPersisters, isDuplicateAssociation, isJoinable, isJoinedFetchEnabledInMapping, isTooDeep, isTooManyCollections, mergeOrderings, mergeOuterJoins, orderBy, orderBy, selectString, setAliases, setCollectionOwners, setCollectionPersisters, setCollectionSuffixes, setOwnerAssociationTypes, setOwners, setPersisters, setSql, setSuffixes, walkCollectionTree, walkEntityTree, whereString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityJoinWalker

    public EntityJoinWalker(OuterJoinLoadable persister,
                            String[] uniqueKey,
                            int batchSize,
                            LockMode lockMode,
                            SessionFactoryImplementor factory,
                            LoadQueryInfluencers loadQueryInfluencers)
                     throws MappingException

Throws:
  `MappingException`

### EntityJoinWalker

    public EntityJoinWalker(OuterJoinLoadable persister,
                            String[] uniqueKey,
                            int batchSize,
                            LockOptions lockOptions,
                            SessionFactoryImplementor factory,
                            LoadQueryInfluencers loadQueryInfluencers)
                     throws MappingException

Throws:
  `MappingException`

Method Detail

### getJoinType

    protected int getJoinType(OuterJoinLoadable persister,
                              PropertyPath path,
                              int propertyNumber,
                              AssociationType associationType,
                              FetchMode metadataFetchMode,
                              CascadeStyle metadataCascadeStyle,
                              String lhsTable,
                              String[] lhsColumns,
                              boolean nullable,
                              int currentDepth)
                       throws MappingException

  Description copied from class: `JoinWalker`
  Determine the appropriate type of join (if any) to use to fetch the given association.

  Overrides:
    `getJoinType` in class `JoinWalker`
  Parameters:
    `persister` - The owner of the association.
    `path` - The path to the association
    `propertyNumber` - The property number representing the association.
    `associationType` - The association type.
    `metadataFetchMode` - The metadata-defined fetch mode.
    `metadataCascadeStyle` - The metadata-defined cascade style.
    `lhsTable` - The owner table
    `lhsColumns` - The owner join columns
    `nullable` - Is the association nullable.
    `currentDepth` - Current join depth
  Returns:
    type of join to use (`JoinFragment.INNER_JOIN`, `JoinFragment.LEFT_OUTER_JOIN`, or -1 to indicate no joining.
  Throws:
    `MappingException` - ??

### getComment

    public String getComment()

  Specified by:
    `getComment` in class `AbstractEntityJoinWalker`

### getCompositeKeyManyToOneTargetIndices

    public int[][] getCompositeKeyManyToOneTargetIndices()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.